/*****************************************************************************/

/// \file       init.h
/// \author     Frank Redlich
/// \date       30.12.2017
/// \brief      Definitionen der Initialisierungsroutinen
/// \details    Projekt:    Carrera_Decoder_PIC16F18424<br>
///             Prozessor:  Microchip PIC16F18424 <br>
///             Hardware:   DIY2, Decoder Mini
/// \version    1.01
///             init CCP4 fr PWM Rcklicht/Bremslicht fr DIY Decoder

/******************************************************************************/


#ifndef INIT_H
#define INIT_H

#include "typedef.h"


//--------------------------------------------------------- interne Funktionen

void Initialisierung(void);

void alle_Variablen_ruecksetzen(void);

void Init_Timer_1(void);          // Zeitbasis fr Pulsweitenmessung der CU Daten
void Init_Timer_2(void);            // clock source for PWM3 (CCP3)             
void Init_Timer_4(void);          // Takt fr CCP1 und CCP2
void Init_CCP1(void);             // Motorsteuerung
void Init_CCP2(void);             // Bremse
void Init_CCP3(U8 Periodendauer); // IR LED

void Init_Timer_6(void);          // fr Timeout beim Datenempfang
void Init_IOC_Interrupt(void);    // Portpin Interrupts 

void Init_EEPROM_Defaultwerte(void);

void OSCILLATOR_Initialize(void);

#endif // INIT_H
